using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SyncData //structure for gameobjects and data sent over to the server
{
    public SyncData(Transform pos, string type) 
    { 
        this.id = System.Guid.NewGuid().ToString();
        this.transform = pos;
        this.type = type;
    }
    
    public Transform transform;
    public string id;
    public string type; //key in registry data that defines which gameobject to instantiate with transform: position
}
